1

It may be too specific a question, but is anyone having any issues utilizing Joomla 4 Templates and the API with extensions from Joomshaper? I have 1 site that seems to work fine, but another that is giving me a 500 error with Helix 3 System plugin enabled. It is giving me a 500 error if that helps.

1
  • It's an issue with Helix3 plugin. You should report this to its developers.
    – Sharky
    Jun 10 at 7:47

1 Answer 1

1

To resolve the issue, you need to change the following line.

/plugins/system/helix3/helix3.php Line: 60 before:

if( !JFactory::getApplication()->isClient('administrator') ) {

after:

if( !JFactory::getApplication()->isClient('api') && !JFactory::getApplication()->isClient('administrator') ) {

This makes sure the code is not called if an API request was made and prevents the error. The root cause is, when a API call is made, there is no template-instance for the menus and this leads to this error.

Please be also aware that Joomshaper does not actively support helix3 anymoresince it is EOL.

Please note that when updating the Melvin template, this change will also be lost and the problem can or will occur again.

Thanks goes to user Jens on the support forums for finding the fix. Here is the link to the Joomshaper forum post. https://www.joomshaper.com/forum/question/14865

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.